Package org.jbpm.process.core.datatype.impl.type

## Class ListDataType

- java.lang.Object
- - org.jbpm.process.core.datatype.impl.type.ObjectDataType
  - - org.jbpm.process.core.datatype.impl.type.ListDataType

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `DataType`, `TypeObject`

      public class ListDataType
      extends ObjectDataType
      implements TypeObject

  Representation of a list datatype. All elements in the list must have the same datatype.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListDataType()` |
    `ListDataType​(DataType dataType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataType` | `getType()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setType​(DataType dataType)` |
    `boolean` | `verifyDataType​(Object value)` | Returns true if the given value is a valid value of this data type.
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class org.jbpm.process.core.datatype.impl.type.ObjectDataType

      `getClassLoader, getClassName, getStringType, readValue, setClassLoader, setClassName, writeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.core.datatype.DataType

      `valueOf`

- - ### Constructor Detail

    - #### ListDataType

          public ListDataType()

    - #### ListDataType

          public ListDataType​(DataType dataType)

  - ### Method Detail

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `ObjectDataType`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `ObjectDataType`
      Throws:
        `IOException`

    - #### setType

          public void setType​(DataType dataType)

      Specified by:
        `setType` in interface `TypeObject`

    - #### getType

          public DataType getType()

      Specified by:
        `getType` in interface `TypeObject`

    - #### verifyDataType

          public boolean verifyDataType​(Object value)

      Description copied from interface: `DataType`
      Returns true if the given value is a valid value of this data type.
      Specified by:
        `verifyDataType` in interface `DataType`
      Overrides:
        `verifyDataType` in class `ObjectDataType`